net.sourceforge.pmd.ast

## Class AccessNodeTest.MyAccessNode

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode
      - - net.sourceforge.pmd.ast.AccessNodeTest.MyAccessNode

- All Implemented Interfaces:
    Node, AccessNode, JavaNode
  Enclosing class:
    AccessNodeTest

      public static class AccessNodeTest.MyAccessNode
      extends AbstractJavaAccessNode

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

      `parser`

    - ### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `beginColumn, beginLine, children, endColumn, endLine, id, parent`

    - ### Fields inherited from interface net.sourceforge.pmd.lang.java.ast.AccessNode

      `ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessNodeTest.MyAccessNode(int i)`
    `AccessNodeTest.MyAccessNode(JavaParser parser, int i)`

  - ### Method Summary

    - ### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode

      `getModifiers, isAbstract, isFinal, isNative, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isStrictfp, isSynchronized, isTransient, isVolatile, setAbstract, setFinal, setModifiers, setNative, setPrivate, setProtected, setPublic, setStatic, setStrictfp, setSynchronized, setTransient, setVolatile`

    - ### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

      `childrenAccept, comment, comment, getScope, jjtAccept, jjtClose, jjtOpen, setScope, toString`

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

      `findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

- - ### Constructor Detail

    - #### AccessNodeTest.MyAccessNode

          public AccessNodeTest.MyAccessNode(int i)

    - #### AccessNodeTest.MyAccessNode

          public AccessNodeTest.MyAccessNode(JavaParser parser,
                                     int i)

Copyright © 2002-2013 InfoEther. All Rights Reserved.